Subject: Re: Can't compile emacs trunk on Solaris 11

From: Huajian Luo <[email-masked]>
Date: Fri, 17 May 2013 16:23:03 +0800

You're right, I delete /opt/csw/bin from my PATH and reconfigure with
--without-x and voila it compiled with no error, even with today's git
pull build.

[emacs]$printenv | grep csw
PATH=/usr/bin:/usr/sbin:/opt/csw/gcc4/bin

So currently I'm just narrow down the root cause,by checking my
configure, especially the core during configure stage.

I attached the log file of the compile. so this is not a common problem
and it's due to my system configuration. I'll check out that.

Cheers,

Hua-Jian.

On Fri 17 May 2013 11:59, Paul Eggert <[email-masked]> wrote:

> I tried to reproduce the problem on Solaris 10 sparc as well,
> and can't do it.  I also tried building 32-bit Emacs
> implementations, using "gcc -m32", and couldn't reproduce
> the problem there either.
>
> I did notice serious problems in your build log
> <http://debbugs.gnu.org/cgi/bugreport.cgi?msg=5;filename=compile-emacs-log.gz;att=1;bug=14407>;
> pkg-config is repeatedly dumping core.  For example:
>
> checking for alsa >= 1.0.0... ./configure: line 8975: 906 Killed "$PKG_CONFIG"
> --exists "$ALSA_MODULES" 2>&5
> no
>
> So my guess is that /opt/csw is part of the problem.
> I suggest that you build without using /opt/csw, by
> removing it from your PATH, and then rebuilding from
> scratch.
>
>>> Which is the most-recent trunk bzr version that worked for you?
>>> You can bisect to find that.
>> 
>> A long time ago, but the release can work with --without-all
>
> The idea of bisecting is that you can use binary search to
> find out the exact revision number that stopped working
> for you.  It takes a bit of time, but it can be well worth
> doing.
>
>> And how can I compile a debugable emacs that I can use mdb/gdb to look
>> into it?
>
> That should happen by default.  Just type "./configure; make"
> in a fresh copy.  Make sure /opt/csw is not mentioned in your
> environment, though: "printenv | grep /opt/csw" should output nothing.
>